# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name X11-xft

%global common_summary Haskell bindings to the Xft library

%global common_description Haskell bindings to Xft, X Free Type interface library,\
and some Xrender parts.

Name:           ghc-%{pkg_name}
Version:        0.3.1
Release:        6%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        LGPLv2
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  libXft-devel%{?_isa}
BuildRequires:  ghc-X11-devel
BuildRequires:  ghc-haskell98-devel
BuildRequires:  ghc-utf8-string-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package
Requires:  libXft-devel%{?_isa}

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE
%doc Hello.hs


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.3.1-5
- change prof BRs to devel

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 0.3.1-4
- rebuild

* Thu Mar 22 2012 Jens Petersen <petersen@redhat.com> - 0.3.1-3
- add LICENSE to ghc_files

* Fri Jan  6 2012 Jens Petersen <petersen@redhat.com> - 0.3.1-2
- update to cabal2spec-0.25.2

* Fri Dec  2 2011 Jens Petersen <petersen@redhat.com> - 0.3.1-1
- update to 0.3.1 and cabal2spec-0.24.1

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.3-16.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.3-16.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.3-16.1
- rebuild with new gmp

* Wed Jun 22 2011 Jens Petersen <petersen@redhat.com> - 0.3-16
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.3-15
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 16 2011 Jens Petersen <petersen@redhat.com> - 0.3-13
- update to cabal2spec-0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 0.3-12
- rebuild

* Fri Nov 26 2010 Jens Petersen <petersen@redhat.com> - 0.3-11
- update url and drop -o obsoletes

* Sat Sep  4 2010 Jens Petersen <petersen@redhat.com> - 0.3-10
- update to latest macros, hscolour and drop doc pkg (cabal2spec-0.22.2)

* Fri Jun 25 2010 Jens Petersen <petersen@redhat.com> - 0.3-9
- strip shared library (cabal2spec-0.21.4)

* Tue Apr 27 2010 Jens Petersen <petersen@redhat.com> - 0.3-8
- rebuild against ghc-6.12.2
- condition ghc_lib_package
- depend on utf8-string again

* Fri Jan 15 2010 Jens Petersen <petersen@redhat.com> - 0.3-7
- drop ghc-utf8-string-devel dependency: utf8-string is part of ghc!

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 0.3-6
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use common summary and common_description
- use ghc_lib_package, ghc_pkg_deps, ghc_pkg_c_deps

* Wed Dec 23 2009 Jens Petersen <petersen@redhat.com> - 0.3-5
- update packaging for ghc-6.12.1
- added shared library support: needs ghc-rpm-macros 0.3.1
- rebuild for ghc-X11-1.5.0.0

* Mon Nov 16 2009 Jens Petersen <petersen@redhat.com> - 0.3-4
- rebuild for ghc-X11-1.4.6.1
- use %%ghc_pkg_ver for lib dep requires

* Wed Aug 26 2009 Jens Petersen <petersen@redhat.com> - 0.3-3
- fix up devel, doc and prof deps

* Tue Aug 14 2009 Zachary Oglesby <zoglesby@fedoraproject.org> - 0.3-2
- Fixed description of -doc to pass rpmlint

* Tue Aug 14 2009 Zachary Oglesby <zoglesby@fedoraproject.org> - 0.3-1
- Updated to version 0.3
- Added ghc-utf8-string-prof as build requirement
- Added ghc-utf8-string-doc as build requirement
- Added ghc-X11-prof as build requirement
- Added ghc-X11-doc as build requirement

* Mon Jul 14 2009 Zachary Oglesby <zoglesby@fedoraproject.org> - 0.2-4
- Added ghc-utf8-string-devel as build requirment
- Added ghc-X11-devel as build requirment

* Thu Jun 18 2009 Zachary Oglesby <zoglesby@fedoraproject.org> - 0.2-3
- Fixed License

* Fri Jun  5 2009 Zachary Oglesby <zoglesby@fedoraproject.org> - 0.2-2
- Updated to new cabal2spec

* Fri May 29 2009 Zachary Oglesby <zoglesby@fedoraproject.org> - 0.2-1
- initial packaging for Fedora created by cabal2spec
